<?php
WpyarPanelCSF::createSection( $prefix, array(
	'parent' => 'login_req',
	'title'  => __( 'SMS authentication', 'wpyar_panel' ),
	'icon'   => 'fa fa-square-o',
	'fields' => array(

		array(
			'id'    => 'tab_sms_authentication',
			'type'  => 'tabbed',
			'title' => __( 'SMS authentication', 'wpyar_panel' ),
			'tabs'  => array(
				array(
					'title'  => __( 'SMS Settings', 'wpyar_panel' ),
					'fields' => array(
						array(
							'type'    => 'submessage',
							'style'   => 'success',
							'content' => __("If you use the (NirSMS) SMS system, the plugin's SMS settings will be done for you for free.",'wpyar_panel'),

						),

						array(
							'id'         => 'reg_by_phone_wpyarud',
							'type'       => 'switcher',
							'title'      => __( 'Activation of registration with mobile number', 'wpyar_panel' ),
							'text_width' => 90,

						),

						array(
							'id'         => 'active_otp_auth',
							'type'       => 'switcher',
							'title'      => __( 'Enable OTP', 'wpyar_panel' ),
							'text_width' => '90',
						),

						array(
							'id'          => 'disposable_filed_user_mobile',
							'type'        => 'select',
							'chosen'      => true,
							'placeholder' => __( 'Mobile number key for login with one-time password', 'wpyar_panel' ),
							'title'       => __( 'Mobile number key for login with one-time password', 'wpyar_panel' ),
							'desc'        => __( 'Mobile number key Panel is "wpyarud_phone"', 'wpyar_panel' ),
							'options'     => 'wpyar_panel_get_user_meta_keys',
							'default'     => 'wpyarud_phone'
						),


						array(
							'id'      => 'numb_rand_pass',
							'type'    => 'number',
							'title'   => __( 'Number of characters sent in the verification code', 'wpyar_panel' ),
							'default' => 6,
						),

						array(
							'id'          => 'select_api_payamak',
							'type'        => 'select',
							'title'       => 'سرویس دهنده پیامک',
							'placeholder' => 'انتخاب سرویس دهنده پیامک',
							'options'     => array(
								'nirsms'      => 'نیر اس ام اس',
								'melipayamak' => 'ملی پیامک',
								'sms_ir'      => 'SMS.ir',
								'new_sms_ir'  => 'SMS.ir جدید ',
								'kaveh'       => 'کاوه نگار',
								'ippanel'     => 'آی پی پنل',
								'rayegan_sms' => 'رایگان اس ام اس',
								'fara_sms'    => 'فرا اس ام اس',
								'niksms'      => 'نیک اس ام اس',
								'candoo'      => 'کندو',
							),
						),


						//------------------ KAveh Negar ---------------------

						array(
							'id'         => 'api_key_kaveh_wpyarud',
							'type'       => 'text',
							'title'      => 'کلید امنیتی (API KEY)',
							'dependency' => array( 'select_api_payamak', 'any', 'kaveh' ),
						),


						array(
							'id'         => 'token_kaveh_reg',
							'type'       => 'text',
							'title'      => ' توکن تعریف شده در متن برای ثبت نام',
							'dependency' => array( 'select_api_payamak', 'any', 'kaveh' ),

						),
						array(
							'id'         => 'name_reg_code_kavehnegar',
							'type'       => 'text',
							'title'      => ' نام متن ثبت نام',
							'dependency' => array( 'select_api_payamak', 'any', 'kaveh' ),
							'desc'       => 'در پترن فقط یک متغییر وارد نمائید'

						),


						array(
							'id'         => 'token_kaveh_lostpass',
							'type'       => 'text',
							'title'      => ' توکن تعریف شده در متن برای فراموشی رمز عبور',
							'dependency' => array( 'select_api_payamak', 'any', 'kaveh' ),

						),
						array(
							'id'         => 'name_lostpass_code_kavehnegar',
							'type'       => 'text',
							'title'      => ' نام متن فراموشی رمز عبور',
							'dependency' => array( 'select_api_payamak', 'any', 'kaveh' ),
							'desc'       => 'در پترن فقط یک متغییر وارد نمائید'

						),

						array(
							'id'         => 'token_kaveh_changeMobile',
							'type'       => 'text',
							'title'      => ' توکن تعریف شده در متن برای تغییر شماره همراه',
							'dependency' => array( 'select_api_payamak', 'any', 'kaveh' ),

						),
						array(
							'id'         => 'name_changeMobile_code_kavehnegar',
							'type'       => 'text',
							'title'      => ' نام متن تغییر شماره همراه',
							'dependency' => array( 'select_api_payamak', 'any', 'kaveh' ),
							'desc'       => 'در پترن فقط یک متغییر وارد نمائید'

						),
						array(
							'id'         => 'token_kaveh_disposable',
							'type'       => 'text',
							'title'      => ' توکن تعریف شده در متن برای ورود با رمز یکبار مصرف',
							'dependency' => array( 'select_api_payamak', 'any', 'kaveh' ),

						),
						array(
							'id'         => 'name_disposable_code_kavehnegar',
							'type'       => 'text',
							'title'      => ' نام متن ورود با رمز یکبار مصرف',
							'dependency' => array( 'select_api_payamak', 'any', 'kaveh' ),
							'desc'       => 'در پترن فقط یک متغییر وارد نمائید'

						),

						//------------------ melipayamak ---------------------

						array(
							'id'         => 'name_payamak_wpyarud',
							'type'       => 'text',
							'title'      => 'نام کاربری',
							'dependency' => array( 'select_api_payamak', 'any', 'melipayamak' ),
						),
						array(
							'id'         => 'pass_payamak_wpyarud',
							'type'       => 'text',
							'title'      => 'رمز عبور',
							'dependency' => array( 'select_api_payamak', 'any', 'melipayamak' ),

						),
						array(
							'id'         => 'tnumber_payamak_wpyarud',
							'type'       => 'text',
							'title'      => ' کد متن ثبت نام',
							'dependency' => array( 'select_api_payamak', 'any', 'melipayamak' ),
							'desc'       => 'در پترن فقط یک متغییر وارد نمائید'

						),
						array(
							'id'         => 'text_payamak_lost_wpyarud',
							'type'       => 'text',
							'title'      => 'کد متن فراموشی رمز',
							'dependency' => array( 'select_api_payamak', 'any', 'melipayamak' ),
							'desc'       => 'در پترن فقط یک متغییر وارد نمائید'
						),
						array(
							'id'         => 'text_payamak_changeMobile_wpyarud',
							'type'       => 'text',
							'title'      => 'کد متن تغییر و تایید شماره همراه',
							'dependency' => array( 'select_api_payamak', 'any', 'melipayamak' ),
							'desc'       => 'در پترن فقط یک متغییر وارد نمائید'
						),

						array(
							'id'         => 'text_payamak_disposable_wpyarud',
							'type'       => 'text',
							'title'      => 'کد متن ورود با رمز یکبار مصرف',
							'dependency' => array( 'select_api_payamak', 'any', 'melipayamak' ),
							'desc'       => 'در پترن فقط یک متغییر وارد نمائید'
						),

						//------------------ SMS.ir ---------------------


						array(
							'id'         => 'SecretKey_sms_ir',
							'type'       => 'text',
							'title'      => 'کلید امنیتی (Secret Key)',
							'dependency' => array( 'select_api_payamak', 'any', 'sms_ir' ),
						),

						array(
							'id'         => 'api_key_sms_ir',
							'type'       => 'text',
							'title'      => 'کلید api   (api key)',
							'dependency' => array( 'select_api_payamak', 'any', 'sms_ir,new_sms_ir' ),

						),


						array(
							'id'         => 'sms_ir_reg_code',
							'type'       => 'text',
							'title'      => ' کد متن ثبت نام',
							'dependency' => array( 'select_api_payamak', 'any', 'sms_ir,new_sms_ir' ),
						),

						array(
							'id'         => 'sms_ir_reg_code_var',
							'type'       => 'text',
							'title'      => 'متغییر شما در قالب ثبت نام',
							'dependency' => array( 'select_api_payamak', 'any', 'sms_ir,new_sms_ir' ),
							'desc'       => 'لطفا یک نام مانند code وارد نمائید'
						),

						array(
							'id'         => 'sms_ir_lostpass_code',
							'type'       => 'text',
							'title'      => 'کد متن فراموشی رمز',
							'dependency' => array( 'select_api_payamak', 'any', 'sms_ir,new_sms_ir' ),
						),
						array(
							'id'         => 'sms_ir_lostpass_code_var',
							'type'       => 'text',
							'title'      => 'متغییر شما در قالب فراموشی رمز',
							'dependency' => array( 'select_api_payamak', 'any', 'sms_ir,new_sms_ir' ),
							'desc'       => 'لطفا یک نام مانند code وارد نمائید'

						),


						array(
							'id'         => 'sms_ir_changeMobile_code',
							'type'       => 'text',
							'title'      => 'کد متن تغییر و تایید شماره همراه',
							'dependency' => array( 'select_api_payamak', 'any', 'sms_ir,new_sms_ir' ),
						),
						array(
							'id'         => 'sms_ir_changeMobile_code_var',
							'type'       => 'text',
							'title'      => 'متغییر شما در قالب تغییر و تائید شماره همراه',
							'dependency' => array( 'select_api_payamak', 'any', 'sms_ir,new_sms_ir' ),
							'desc'       => 'لطفا یک نام مانند code وارد نمائید'

						),

						array(
							'id'         => 'sms_ir_disposable_code',
							'type'       => 'text',
							'title'      => 'کد متن ورود با رمز یکبار مصرف',
							'dependency' => array( 'select_api_payamak', 'any', 'sms_ir,new_sms_ir' ),
						),
						array(
							'id'         => 'sms_ir_disposable_code_var',
							'type'       => 'text',
							'title'      => 'متغییر شما در قالب ورود با رمز یکبار مصرف',
							'dependency' => array( 'select_api_payamak', 'any', 'sms_ir,new_sms_ir' ),
							'desc'       => 'لطفا یک نام مانند code وارد نمائید'

						),
						//------------ ippanel ----------------------------------

						array(
							'id'         => 'name_ippanel_wpyarud',
							'type'       => 'text',
							'title'      => 'نام کاربری',
							'dependency' => array( 'select_api_payamak', 'any', 'ippanel,nirsms' ),
						),

						array(
							'id'         => 'pass_ippanel_wpyarud',
							'type'       => 'text',
							'title'      => 'رمز عبور',
							'dependency' => array( 'select_api_payamak', 'any', 'ippanel,nirsms' ),

						),
						array(
							'id'         => 'form_ippanel_wpyarud',
							'type'       => 'text',
							'title'      => 'شماره ارسال کننده',
							'dependency' => array( 'select_api_payamak', 'any', 'ippanel,nirsms' ),
						),

						array(
							'id'         => 'tnumber_ippanel_wpyarud',
							'type'       => 'text',
							'title'      => ' کد متن ثبت نام',
							'dependency' => array( 'select_api_payamak', 'any', 'ippanel,nirsms' ),
							'desc'       => 'در پترن فقط یک متغییر وارد نمائید'

						),
						array(
							'id'         => 'ippanel_reg_code_var',
							'type'       => 'text',
							'title'      => 'متغییر شما در قالب ثبت نام',
							'dependency' => array( 'select_api_payamak', 'any', 'ippanel,nirsms' ),
							'desc'       => 'لطفا یک نام مانند code وارد نمائید'
						),


						array(
							'id'         => 'text_ippanel_lost_wpyarud',
							'type'       => 'text',
							'title'      => 'کد متن فراموشی رمز',
							'dependency' => array( 'select_api_payamak', 'any', 'ippanel,nirsms' ),
							'desc'       => 'در پترن فقط یک متغییر وارد نمائید'
						),

						array(
							'id'         => 'ippanel_lostpass_code_var',
							'type'       => 'text',
							'title'      => 'متغییر شما در قالب فراموشی رمز',
							'dependency' => array( 'select_api_payamak', 'any', 'ippanel,nirsms' ),
							'desc'       => 'لطفا یک نام مانند code وارد نمائید'

						),


						array(
							'id'         => 'text_ippanel_changeMobile_wpyarud',
							'type'       => 'text',
							'title'      => 'کد متن تغییر و تایید شماره همراه',
							'dependency' => array( 'select_api_payamak', 'any', 'ippanel,nirsms' ),
							'desc'       => 'در پترن فقط یک متغییر وارد نمائید'
						),

						array(
							'id'         => 'ippanel_changeMobile_code_var',
							'type'       => 'text',
							'title'      => 'متغییر شما در قالب تغییر و تائید شماره همراه',
							'dependency' => array( 'select_api_payamak', 'any', 'ippanel,nirsms' ),
							'desc'       => 'لطفا یک نام مانند code وارد نمائید'

						),

						array(
							'id'         => 'text_ippanel_disposable_wpyarud',
							'type'       => 'text',
							'title'      => 'کد متن ورود با رمز یکبار مصرف',
							'dependency' => array( 'select_api_payamak', 'any', 'ippanel,nirsms' ),
							'desc'       => 'در پترن فقط یک متغییر وارد نمائید'
						),

						array(
							'id'         => 'ippanel_disposable_code_var',
							'type'       => 'text',
							'title'      => 'متغییر شما در قالب ورود با رمز یکبار مصرف',
							'dependency' => array( 'select_api_payamak', 'any', 'ippanel,nirsms' ),
							'desc'       => 'لطفا یک نام مانند code وارد نمائید'

						),


						//----------------------- rayegan_sms
						array(
							'id'         => 'name_rayegan_sms_wpyarud',
							'type'       => 'text',
							'title'      => 'نام کاربری',
							'dependency' => array( 'select_api_payamak', 'any', 'rayegan_sms' ),
						),

						array(
							'id'         => 'pass_rayegan_sms_wpyarud',
							'type'       => 'text',
							'title'      => 'رمز عبور',
							'dependency' => array( 'select_api_payamak', 'any', 'rayegan_sms' ),

						),

						array(
							'id'         => 'rayegan_sms_req_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی ثبت نام',
							'dependency' => array( 'select_api_payamak', 'any', 'rayegan_sms' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),
						array(
							'id'         => 'rayegan_sms_lostpass_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی رمز عبور',
							'dependency' => array( 'select_api_payamak', 'any', 'rayegan_sms' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),

						array(
							'id'         => 'rayegan_sms_changeMobile_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی تغییر شماره همراه',
							'dependency' => array( 'select_api_payamak', 'any', 'rayegan_sms' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),
						array(
							'id'         => 'rayegan_sms_disposable_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی ورود با رمز یکبارمصرف',
							'dependency' => array( 'select_api_payamak', 'any', 'rayegan_sms' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),

						//----------------------- fara_sms
						array(
							'id'         => 'name_fara_sms_wpyarud',
							'type'       => 'text',
							'title'      => 'نام کاربری',
							'dependency' => array( 'select_api_payamak', 'any', 'fara_sms' ),
						),

						array(
							'id'         => 'pass_fara_sms_wpyarud',
							'type'       => 'text',
							'title'      => 'رمز عبور',
							'dependency' => array( 'select_api_payamak', 'any', 'fara_sms' ),

						),
						array(
							'id'         => 'fromfara_sms_wpyarud',
							'type'       => 'text',
							'title'      => 'شماره ارسال کننده',
							'dependency' => array( 'select_api_payamak', 'any', 'fara_sms' ),

						),
						array(
							'id'         => 'fara_sms_req_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی ثبت نام',
							'dependency' => array( 'select_api_payamak', 'any', 'fara_sms' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),
						array(
							'id'         => 'fara_sms_lostpass_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی رمز عبور',
							'dependency' => array( 'select_api_payamak', 'any', 'fara_sms' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),

						array(
							'id'         => 'fara_sms_changeMobile_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی تغییر شماره همراه',
							'dependency' => array( 'select_api_payamak', 'any', 'fara_sms' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),
						array(
							'id'         => 'fara_sms_disposable_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی ورود با رمز یکبارمصرف',
							'dependency' => array( 'select_api_payamak', 'any', 'fara_sms' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),

						//----------------------- niksms
						array(
							'id'         => 'name_niksms_wpyarud',
							'type'       => 'text',
							'title'      => 'نام کاربری',
							'dependency' => array( 'select_api_payamak', 'any', 'niksms' ),
						),

						array(
							'id'         => 'pass_niksms_wpyarud',
							'type'       => 'text',
							'title'      => 'رمز عبور',
							'dependency' => array( 'select_api_payamak', 'any', 'niksms' ),

						),
						array(
							'id'         => 'special_number_niksms_wpyarud',
							'type'       => 'text',
							'title'      => 'شماره اختصاصی',
							'dependency' => array( 'select_api_payamak', 'any', 'niksms' ),

						),
						array(
							'id'         => 'niksms_req_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی ثبت نام',
							'dependency' => array( 'select_api_payamak', 'any', 'niksms' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),
						array(
							'id'         => 'niksms_lostpass_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی رمز عبور',
							'dependency' => array( 'select_api_payamak', 'any', 'niksms' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),

						array(
							'id'         => 'niksms_changeMobile_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی تغییر شماره همراه',
							'dependency' => array( 'select_api_payamak', 'any', 'niksms' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),
						array(
							'id'         => 'niksms_disposable_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی ورود با رمز یکبار مصرف',
							'dependency' => array( 'select_api_payamak', 'any', 'niksms' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),

						//----------------------- candoo sms
						array(
							'id'         => 'api_candoo_sms_wpyarud',
							'type'       => 'text',
							'title'      => 'کلید API',
							'dependency' => array( 'select_api_payamak', 'any', 'candoo' ),
						),

						array(
							'id'         => 'src_num_candoo_sms_wpyarud',
							'type'       => 'text',
							'title'      => 'شماره ارسال کننده',
							'dependency' => array( 'select_api_payamak', 'any', 'candoo' ),

						),

						array(
							'id'         => 'candoo_sms_req_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی ثبت نام',
							'dependency' => array( 'select_api_payamak', 'any', 'candoo' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),
						array(
							'id'         => 'candoo_sms_lostpass_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی رمز عبور',
							'dependency' => array( 'select_api_payamak', 'any', 'candoo' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),

						array(
							'id'         => 'candoo_sms_changeMobile_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی تغییر شماره همراه',
							'dependency' => array( 'select_api_payamak', 'any', 'candoo' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),
						array(
							'id'         => 'candoo_sms_disposable_text',
							'type'       => 'textarea',
							'title'      => 'متن ارسالی ورود با رمز یکبارمصرف',
							'dependency' => array( 'select_api_payamak', 'any', 'candoo' ),
							'desc'       => 'از عبارت code به جای کد ارسالی استفاده نمائید'

						),


					)
				),
				array(
					'title'  => __( 'Extra Field Basic in Wordpress', 'wpyar_panel' ),
					'fields' => array(
						array(
							'id'         => 'active_req_wpyarud_sms_name',
							'type'       => 'switcher',
							'title'      => __( 'Activate the name field', 'wpyar_panel' ),
							'text_width' => 90
						),

						array(
							'id'         => 'requried_req_wpyarud_sms_name',
							'type'       => 'switcher',
							'title'      => __( 'required the name field', 'wpyar_panel' ),
							'text_width' => 90
						),

						array(
							'id'         => 'active_req_wpyarud_sms_family',
							'type'       => 'switcher',
							'title'      => __( 'Activate the last name field', 'wpyar_panel' ),
							'text_width' => 90
						),

						array(
							'id'         => 'requried_req_wpyarud_sms_family',
							'type'       => 'switcher',
							'title'      => __( 'required the last name field', 'wpyar_panel' ),
							'text_width' => 90
						),

						array(
							'id'         => 'active_req_wpyarud_sms_disname',
							'type'       => 'switcher',
							'title'      => __( 'Activate the display name field', 'wpyar_panel' ),
							'text_width' => 90
						),

						array(
							'id'         => 'requried_req_wpyarud_sms_disname',
							'type'       => 'switcher',
							'title'      => __( 'required the display name field', 'wpyar_panel' ),
							'text_width' => 90
						),
						array(
							'id'         => 'active_req_wpyarud_sms_email',
							'type'       => 'switcher',
							'title'      => __( 'Activate the Email', 'wpyar_panel' ),
							'text_width' => 90
						),

						array(
							'id'         => 'requried_req_wpyarud_sms_email',
							'type'       => 'switcher',
							'title'      => __( 'required the Email', 'wpyar_panel' ),
							'text_width' => 90
						),

					)
				),

			)
		),


	)
) );