<?php
WpyarPanelCSF::createSection($prefix, array(
    'title' => __('Dashboard', 'wpyar_panel'),
    'icon' => 'fa fa-dashboard',
    'id' => 'dashboard_wpyarpanel',
));

WpyarPanelCSF::createSection($prefix, array(
    'title' => __('Sort Rows', 'wpyar_panel'),
    'parent' => 'dashboard_wpyarpanel',
    'fields' => array(
        
        array(
            'id' => 'dashbaord_sort',
            'type' => 'sorter',
            'title' => __('Sort Dashboard', 'wpyar_panel'),
            'default' => array(
                'enabled' => [
                    'four_box' => __('Four Boxes', 'wpyar_panel'),
                    'ticket_admin' => __('Ticket And Admin Message', 'wpyar_panel'),
                    'carousel' => __('Slider', 'wpyar_panel'),
                    'content' => __('Content Page', 'wpyar_panel'),
                    'last_product' => __('Last Product', 'wpyar_panel'),
                    'last_posts' => __('Last Posts', 'wpyar_panel'),
                    'extra_box' => __('Extra Boxes', 'wpyar_panel'),
                ],
                'disabled' => [],
            ),

        ),
    )
));

WpyarPanelCSF::createSection($prefix, array(
    'title' => __('General', 'wpyar_panel'),
    'parent' => 'dashboard_wpyarpanel',
    'fields' => array(




        array(
            'id' => 'display_admin_message',
            'type' => 'switcher',
            'title' => __('Display admin message', 'wpyar_panel'),
            'text_width' => '90',
            'default' => true
        ),


        array(
            'id' => 'display_last_ticket',
            'type' => 'switcher',
            'title' => __('Display the last ticket', 'wpyar_panel'),
            'text_width' => '90',
            'default' => true
        ),

        array(
            'id' => 'blog_link_url',
            'type' => 'link',
            'title' => __('Select blog address', 'wpyar_panel'),
            'desc' => __('Select blog address to view all posts in dashboard page', 'wpyar_panel'),
        ),

        array(
            'id' => 'content_page_select',
            'type' => 'select',
            'title' => __('Select a page for content', 'wpyar_panel'),
            'placeholder' => __('Select page', 'wpyar_panel'),
            'options' => 'pages',
            'query_args' => array(
                'posts_per_page' => -1 // for get all pages (also it's same for posts).
            )
        ),

        array(
            'id' => 'active_four_box_after',
            'type' => 'switcher',
            'title' => __('Activate the section After Four Boxes', 'wpyar_panel'),
            'text_width' => '90',
            'default' => false
        ),
        array(
            'id' => 'content_four_box_after',
            'type' => 'select',
            'title' => __('Select Page for After Four Box', 'wpyar_panel'),
            'placeholder' => __('Select Page', 'wpyar_panel'),
            'options' => 'pages',
            'query_args' => array(
                'posts_per_page' => -1 // for get all pages (also it's same for posts).
            ),
            'dependency' => array('active_four_box_after', '==', '1'),
        ),
        array(
            'id' => 'active_carousel_after',
            'type' => 'switcher',
            'title' => __('Activate Section After Slider', 'wpyar_panel'),
            'text_width' => '90',
            'default' => false
        ),
        array(
            'id' => 'content_carousel_after',
            'type' => 'select',
            'title' => __('Select Page for After Slider', 'wpyar_panel'),
            'placeholder' => __('Select Page', 'wpyar_panel'),
            'options' => 'pages',
            'query_args' => array(
                'posts_per_page' => -1 // for get all pages (also it's same for posts).
            ),
            'dependency' => array('active_carousel_after', '==', '1'),
        ),
        array(
            'id' => 'active_last_product_after',
            'type' => 'switcher',
            'title' => __('Activate After Section Last Product', 'wpyar_panel'),
            'text_width' => '90',
            'default' => false
        ),
        array(
            'id' => 'content_last_product_after',
            'type' => 'select',
            'title' => __('Select Page for After Last Product', 'wpyar_panel'),
            'placeholder' => __('Select Page', 'wpyar_panel'),
            'options' => 'pages',
            'query_args' => array(
                'posts_per_page' => -1 // for get all pages (also it's same for posts).
            ),
            'dependency' => array('active_last_product_after', '==', '1'),
        ),
           array(
            'id' => 'active_last_posts_after',
            'type' => 'switcher',
            'title' => __('Activate After Section Last Post', 'wpyar_panel'),
            'text_width' => '90',
            'default' => false
        ),
        array(
            'id' => 'content_last_posts_after',
            'type' => 'select',
            'title' => __('Select Page for After Last Post', 'wpyar_panel'),
            'placeholder' => __('Select Page', 'wpyar_panel'),
            'options' => 'pages',
            'query_args' => array(
                'posts_per_page' => -1 // for get all pages (also it's same for posts).
            ),
            'dependency' => array('active_last_posts_after', '==', '1'),
        ),
        array(
            'id' => 'active_tickets_admin_after',
            'type' => 'switcher',
            'title' => __('Activate After Section Admin Message And Ticket ', 'wpyar_panel'),
            'text_width' => '90',
            'default' => false
        ),
        array(
            'id' => 'content_tickets_admin_after',
            'type' => 'select',
            'title' => __('Select Page for After Admin Message And Ticket', 'wpyar_panel'),
            'placeholder' => __('Select Page', 'wpyar_panel'),
            'options' => 'pages',
            'query_args' => array(
                'posts_per_page' => -1 // for get all pages (also it's same for posts).
            ),
            'dependency' => array('active_tickets_admin_after', '==', '1'),
        ),
      array(
            'id' => 'active_two_box_after',
            'type' => 'switcher',
            'title' => __('Activate After Section Extra Box', 'wpyar_panel'),
            'text_width' => '90',
            'default' => true
        ),

        array(
            'id' => 'content_two_box_after',
            'type' => 'select',
            'title' => __('Select Page for After Extra Box', 'wpyar_panel'),
            'placeholder' => __('Select Page', 'wpyar_panel'),
            'options' => 'pages',
            'query_args' => array(
                'posts_per_page' => -1 // for get all pages (also it's same for posts).
            ),
            'dependency' => array('active_two_box_after', '==', '1'),
        ),
    )
));
WpyarPanelCSF::createSection($prefix, array(
    'title' => __('four boxes', 'wpyar_panel'),
    'parent' => 'dashboard_wpyarpanel',
    'fields' => array(

        array(
            'id' => 'box-top-1',
            'type' => 'select',
            'title' => __('Box 1', 'wpyar_panel'),
            'placeholder' => __('Please Select', 'wpyar_panel'),
            'options' => array(
                '1' => __('Completed Orders', 'wpyar_panel'),
                '2' => __('Processed Orders', 'wpyar_panel'),
                '3' => __('Pending Orders', 'wpyar_panel'),
                '4' => __('Refunded Orders', 'wpyar_panel'),
                '5' => __('Wallet', 'wpyar_panel'),
                '6' => __('Unread private message', 'wpyar_panel'),
                '7' => __('Tickets', 'wpyar_panel'),
                '8' => __('Unread Notification', 'wpyar_panel'),
                '9' => __('Duration of membership', 'wpyar_panel'),
                '10' => __('Custom', 'wpyar_panel'),

            ),

        ),
        array(
            'id'=>'img_box_1',
            'type'=>'upload',
            'title' => __('Image Box 1', 'wpyar_panel'),
            'preview'=>true
        ),

        array(
            'id'=>'title_box_1',
            'type'=>'text',
            'title' => __('Title', 'wpyar_panel'),
            'dependency' => array('box-top-1','==','10')
        ),
        array(
            'id'=>'link_box_1',
            'type'=>'link',
            'title' => __('Link', 'wpyar_panel'),
            'dependency' => array('box-top-1','==','10')
        ),

        array(
            'id' => 'box-top-2',
            'type' => 'select',
            'title' => __('Box 2', 'wpyar_panel'),
            'placeholder' => __('Please Select', 'wpyar_panel'),
            'options' => array(
                '1' => __('Completed Orders', 'wpyar_panel'),
                '2' => __('Processed Orders', 'wpyar_panel'),
                '3' => __('Pending Orders', 'wpyar_panel'),
                '4' => __('Refunded Orders', 'wpyar_panel'),
                '5' => __('Wallet', 'wpyar_panel'),
                '6' => __('Unread private message', 'wpyar_panel'),
                '7' => __('Tickets', 'wpyar_panel'),
                '8' => __('Unread Notification', 'wpyar_panel'),
                '9' => __('Duration of membership', 'wpyar_panel'),
                '10' => __('Custom', 'wpyar_panel'),
            ),

        ),

        array(
            'id'=>'img_box_2',
            'type'=>'upload',
            'title' => __('Image Box 2', 'wpyar_panel'),
            'preview'=>true
        ),
        array(
            'id'=>'title_box_2',
            'type'=>'text',
            'title' => __('Title', 'wpyar_panel'),
            'dependency' => array('box-top-2','==','10')
        ),
        array(
            'id'=>'link_box_2',
            'type'=>'link',
            'title' => __('Link', 'wpyar_panel'),
            'dependency' => array('box-top-2','==','10')
        ),

        array(
            'id' => 'box-top-3',
            'type' => 'select',
            'title' => __('Box 3', 'wpyar_panel'),
            'placeholder' => __('Please Select', 'wpyar_panel'),
            'options' => array(
                '1' => __('Completed Orders', 'wpyar_panel'),
                '2' => __('Processed Orders', 'wpyar_panel'),
                '3' => __('Pending Orders', 'wpyar_panel'),
                '4' => __('Refunded Orders', 'wpyar_panel'),
                '5' => __('Wallet', 'wpyar_panel'),
                '6' => __('Unread private message', 'wpyar_panel'),
                '7' => __('Tickets', 'wpyar_panel'),
                '8' => __('Unread Notification', 'wpyar_panel'),
                '9' => __('Duration of membership', 'wpyar_panel'),
                '10' => __('Custom', 'wpyar_panel'),
            ),

        ),
        array(
            'id'=>'img_box_3',
            'type'=>'upload',
            'title' => __('Image Box 3', 'wpyar_panel'),
            'preview'=>true
        ),
        array(
            'id'=>'title_box_3',
            'type'=>'text',
            'title' => __('Title', 'wpyar_panel'),
            'dependency' => array('box-top-3','==','10')
        ),
        array(
            'id'=>'link_box_3',
            'type'=>'link',
            'title' => __('Link', 'wpyar_panel'),
            'dependency' => array('box-top-3','==','10')
        ),

        array(
            'id' => 'box-top-4',
            'type' => 'select',
            'title' => __('Box 4', 'wpyar_panel'),
            'placeholder' => __('Please Select', 'wpyar_panel'),
            'options' => array(
                '1' => __('Completed Orders', 'wpyar_panel'),
                '2' => __('Processed Orders', 'wpyar_panel'),
                '3' => __('Pending Orders', 'wpyar_panel'),
                '4' => __('Refunded Orders', 'wpyar_panel'),
                '5' => __('Wallet', 'wpyar_panel'),
                '6' => __('Unread private message', 'wpyar_panel'),
                '7' => __('Tickets', 'wpyar_panel'),
                '8' => __('Unread Notification', 'wpyar_panel'),
                '9' => __('Duration of membership', 'wpyar_panel'),
                '10' => __('Custom', 'wpyar_panel'),

            ),

        ),
        array(
            'id'=>'img_box_4',
            'type'=>'upload',
            'title' => __('Image Box 4', 'wpyar_panel'),
            'preview'=>true
        ),
        array(
            'id'=>'title_box_4',
            'type'=>'text',
            'title' => __('Title', 'wpyar_panel'),
            'dependency' => array('box-top-4','==','10')
        ),
        array(
            'id'=>'link_box_4',
            'type'=>'link',
            'title' => __('Link', 'wpyar_panel'),
            'dependency' => array('box-top-4','==','10')
        ),

    )
));

WpyarPanelCSF::createSection($prefix, array(
    'title' => __('Admin Message', 'wpyar_panel'),
    'parent' => 'dashboard_wpyarpanel',
    'fields' => array(


        array(
            'id' => 'img_admin_dash',
            'type' => 'media',
            'title' => __('Admin Messeage Box Image', 'wpyar_panel'),
        ),

        array(
            'id' => 'text_admin_dash_wpyar',
            'type' => 'wp_editor',
            'title' => __('Admin Message', 'wpyar_panel'),
            'tinymce' => true,
            'quicktags' => true,
            'media_buttons' => true,
            'sanitize' => false,
            'subtitle' => __('to show the user display name, use : {displayname}', 'wpyar_panel')

        ),
    )
));
WpyarPanelCSF::createSection($prefix, array(
    'title' => __('Slider', 'wpyar_panel'),
    'parent' => 'dashboard_wpyarpanel',
    'fields' => array(
	    array(
		    'id' => 'autoplay_slider_panel',
		    'type' => 'switcher',
		    'title' => __('Auto play', 'wpyar_panel')
	    ),
	    array(
		    'id' => 'button_slider_panel',
		    'type' => 'switcher',
		    'title' => __('Next and prev button', 'wpyar_panel')
	    ),
	    array(
		    'id' => 'pagination_slider_panel',
		    'type' => 'switcher',
		    'title' => __('Slider pagination', 'wpyar_panel')
	    ),
        array(
            'id' => 'list_item_slider_panel',
            'type' => 'repeater',
            'title' => __('Items', 'wpyar_panel'),
            'fields' => array(

                array(
                    'id' => 'image_slider_panel',
                    'type' => 'media',
                    'title' => __('Image', 'wpyar_panel')
                ),
                array(
                    'id' => 'link_slider_panel',
                    'type' => 'link',
                    'title' => __('Link', 'wpyar_panel'),
                ),

            ),
        ),

    )
));

WpyarPanelCSF::createSection($prefix, array(
    'title' => __('Extra Box', 'wpyar_panel'),
    'parent' => 'dashboard_wpyarpanel',
    'fields' => array(


        array(
            'id' => 'display_dash_box_one',
            'type' => 'switcher',
            'title' => __('display box 1', 'wpyar_panel'),
            'text_width' => '90',
        ),


        array(
            'id' => 'icon_box_one_dash',
            'type' => 'icon',
            'title' => __('Icon Box 1', 'wpyar_panel'),
        ),
        array(
            'id' => 'title_box_one_dash',
            'type' => 'text',
            'title' => __('Title Box 1', 'wpyar_panel'),
        ),

        array(
            'id' => 'text_content_box_one_dash',
            'type' => 'wp_editor',
            'title' => __('Text Box 1', 'wpyar_panel'),
            'tinymce' => true,
            'quicktags' => true,
            'media_buttons' => true,
            'sanitize' => false,
            'subtitle' => __('(support ShortCode)', 'wpyar_panel')

        ),


        array(
            'id' => 'display_dash_box_two',
            'type' => 'switcher',
            'title' => __('display box 2','wpyar_panel'),
            'text_width' => '90',
        ),


        array(
            'id' => 'icon_box_two_dash',
            'type' => 'icon',
            'title' => __('Icon Box 2', 'wpyar_panel'),
        ),
        array(
            'id' => 'title_box_two_dash',
            'type' => 'text',
            'title' => __('Title Box 2', 'wpyar_panel'),
        ),

        array(
            'id' => 'text_content_box_two_dash',
            'type' => 'wp_editor',
            'title' => __('Text Box 2', 'wpyar_panel'),
            'tinymce' => true,
            'quicktags' => true,
            'media_buttons' => true,
            'sanitize' => false,
            'subtitle' => __('(support ShortCode)', 'wpyar_panel')

        ),


    )
));