<?php
WpyarPanelCSF::createSection($prefix, array(
    'title' =>  __('General Setting','wpyar_panel'),
    'icon' => 'fa fa-cog',
    'fields' => array(
        array(
            'id' => 'page_wpyarud_plugin',
            'type'        => 'select',
            'title'       => __('Panel Page','wpyar_panel'),
            'placeholder' => __('Select Page Panel','wpyar_panel'),
            'options' => 'pages','chosen'      => true,
            'query_args' => array(
                'posts_per_page' => -1 // for get all pages (also it's same for posts).
            ),
            'help'=>__('Create and select a page with the "User Panel" template','wpyar_panel')
        ),

        array(
            'id'         => 'activate_switch_theme',
            'type'       => 'switcher',
            'title'      => __('Activate switch theme','wpyar_panel'),
            'text_width' => 100,
        ),
	    array(
            'id'         => 'activate_dark_theme',
			'subtitle'   => __('Switch theme does not work','wpyar_panel'),
            'type'       => 'switcher',
            'title'      => __('Activate dark theme','wpyar_panel'),
            'text_width' => 100,
        ),

	    array(
			  'id'         => 'support_fa5',
			  'type'       => 'switcher',
			  'title'      => __('Font Awesome 5 Support','wpyar_panel'),
			  'text_width' => 100,
			  'help'=>__('If your theme does not have Font Awesome 5, you must enable it','wpyar_panel')
        ),

	    array(
			  'id'         => 'deactivate_admin_bar',
			  'type'       => 'switcher',
			  'title'      => __('Remove wordpress admin bar','wpyar_panel'),
			  'text_width' => 100,
			  'help'=>__('You can hide the WordPress admin bar at the top of the pages for users','wpyar_panel')
			),


        array(
            'id' => 'fav_icon_wpyarud',
            'type' => 'media',
            'title' => __('Fav Icon','wpyar_panel'),
            'help'=>__('This favicon is displayed only for login pages and user panel','wpyar_panel')
        ),
        array(
            'id' => 'sidebar_top_image',
            'type' => 'media',
            'title' => __('upper image of the sidebar','wpyar_panel'),
            
        ),
        array(
            'id' => 'wellcomeTextHeader',
            'type' => 'wp_editor',
            'title' => __('wellcome Text','wpyar_panel'),
            'help'=>__('The text is displayed at the top of the user panel','wpyar_panel')
        ),
        array(
            'id' => 'text_tell_support_wpyarud',
            'type' => 'text',
            'title' => __('Support number','wpyar_panel'),
        ),


        array(
            'id' => 'set_avatar_def_wpyarud',
            'type' => 'switcher',
            'title' => __('Activate the default avatar','wpyar_panel'),
            'text_width' => '80',
        ),
        array(
            'id' => 'set_avatar_def_wpyarud_img',
            'type' => 'media',
            'title' =>__('default avatar image','wpyar_panel'),
            'dependency' => array('set_avatar_def_wpyarud', '==', '1'),
        ),
 

        array(
            'id' => 'change_avatar_wpyarud',
            'type' => 'switcher',
            'title' => __('Activate changing the avatar by the user','wpyar_panel'),
            'text_width' => '80',
            'default' => true
        ),

        array(
            'id' => 'name_display_panel',
            'type'=>'select',
            'chosen'      => true,
            'placeholder' =>__('display Name','wpyar_panel'),
            'title'=>__('Select a field to show the display Name','wpyar_panel'),
            'options' => 'wpyar_panel_get_user_meta_keys',
            'help'=>__('You can change the display name in the user panel','wpyar_panel')
        ),
        array(
            'id' => 'copy_right_text_wpyarud',
            'type' => 'textarea',
            'title' => __('Copy Right Text','wpyar_panel'),
        ),

        
        array(
            'id' => 'img_sidebar_by_admin',
            'type' => 'media',
            'title' => __('sidebar background image','wpyar_panel'),
         ),


    )
));


