<?php

function wpyar_auth_usermeta()
{
    global $wpdb;
    $metakey = [];
    $keys = $wpdb->get_col("SELECT DISTINCT meta_key FROM {$wpdb->usermeta}");

    foreach ($keys as $key) {

        $metakey[$key] = $key;
    }

    return $metakey;

}


WpyarPanelCSF::createSection($prefix, array(
    'id' => 'login_req',
    'title' => __('Authentication', 'wpyar_panel'),
    'icon' => 'fa fa-users',
));
WpyarPanelCSF::createSection($prefix, array(
    'parent' => 'login_req',
    'title' => __('General Setting', 'wpyar_panel'),
    'icon' => 'fa fa-square-o',
    'fields' => array(
        array(
            'id'    => 'active_header_auth',
            'type'  => 'switcher',
            'title' => __('Enable header in authentication','wpyar_panel'),
            'text_width' => 90
        ),

        array(
            'id'    => 'active_footer_auth',
            'type'  => 'switcher',
            'title' => __('Enable footer in authentication','wpyar_panel'),
            'text_width' => 90
        ),


        array(
            'id'    => 'active_popup_auth',
            'type'  => 'switcher',
            'title' => __('Activate pop-up authentication','wpyar_panel'),
            'text_width' => 90
        ),

	    array(
		    'type'    => 'notice',
		    'style'   => 'success',
		    'content' =>__('This feature can only be applied to the login shortcode. It is also not possible to add additional sections in this case.','wpyar_panel'),
		    'dependency' => array('active_popup_auth', '==', 'true'),
	    ),


		    array(
            'id'    => 'compatibility_digits',
            'type'  => 'switcher',
            'title' => __('Compatibility with Digits plugin','wpyar_panel'),
            'text_width' => 90,
            'help'=>__('If you enable, old users who are registered with Digits can log in','wpyar_panel')
        ),



		array(
		'id'=>'content_register_rules',
		'type'=>'wp_editor',
		'title'=>__('The text of the rules of membership in the website','wpyar_panel'),

		),
        array(
            'id' => 'active_no_pass_wpyar_auth',
            'type' => 'switcher',
            'title' => __('Login with one-time password', 'wpyar_panel'),
            'text_width' => '90',
            'help'=>__('To activate this item, you must enter its settings in the email or SMS section','wpyar_panel')
        ),

           array(
            'id' => 'active_create_default_email',
            'type' => 'switcher',
            'title' => __('Activate default email creation', 'wpyar_panel'),
            'text_width' => '90',
            'help'=>__('If you do not receive emails from users, you can create a default email with the username and site address','wpyar_panel')
        ),

        array(
            'id' => 'active_Storong_pass_wpyar_auth',
            'type' => 'switcher',
            'title' => __('Activate Strong Password', 'wpyar_panel'),
            'text_width' => '90',
        ),
        array(
            'id'    => 'exp_time_code_wpyarud',
            'type'  => 'number',
            'title' => __('Validity period of the verification code in minutes','wpyar_panel'),
            'default' => 30,

        ),

        array(
            'id' => 'login_register_page_auth_wpyar',
            'type' => 'select',
            'title' => __('Authentication page', 'wpyar_panel'),
            'placeholder' => __('Select Page Login and Register', 'wpyar_panel'),
            'help' =>__('Create and select a page with the "Authentication" template','wpyar_panel'),
            'chosen'      => true,
            'options' => 'pages',
            'query_args' => array(
                'posts_per_page' => -1 // for get all pages (also it's same for posts).
            ),
            'help' =>__('Create and select a page with the "Authentication" template','wpyar_panel')
            
         ),
        array(
            'id' => 'active_recaptcha_wpyarud',
            'type' => 'switcher',
            'title' => __('Activate recaptcha', 'wpyar_panel'),
            'text_width' => '90',
        ),

        array(
            'id' => 'recaptcha_version',
            'type' => 'select',
            'title' => __('Select recaptcha version', 'wpyar_panel'),
            'placeholder' => __('Select Recaptcha Version', 'wpyar_panel'),
            'options' => array(
                'ver2' => __('Version 2', 'wpyar_panel'),
                'ver3' => __('Version 3', 'wpyar_panel'),
            ),
            'dependency' => array('active_recaptcha_wpyarud', '==', '1'),
        ),


        array(
            'id' => 'site_key_google_chaptcha_wpyar',
            'type' => 'text',
            'title' => __('STIE KEY', 'wpyar_panel'),
            'dependency' => array(
                ['active_recaptcha_wpyarud', '==', '1'],
                ['recaptcha_version', 'any', 'ver2,ver3'],
            ),
        ),
        array(
            'id' => 'sec_key_google_chaptcha_wpyar',
            'type' => 'text',
            'title' => __('SECRET KEY', 'wpyar_panel'),
            'dependency' => array(['active_recaptcha_wpyarud', '==', '1'], ['recaptcha_version', '==', 'ver3']),
        ),

        array(
            'id' => 'recaptcha_theme',
            'type' => 'select',
            'title' => __('Select Recaptcha Theme', 'wpyar_panel'),
            'placeholder' => __('Select Recaptcha Theme', 'wpyar_panel'),
            'options' => array(
                'dark' => __('dark', 'wpyar_panel'),
                'light' => __('light', 'wpyar_panel'),
            ),
            'dependency' => array('recaptcha_version', '==', 'ver2'),
        ),

        array(
            'id' => 'reg_redirect_user',
            'type' => 'link',
            'title' => __('Redirect the user to the desired page after Registration', 'wpyar_panel'),
        ),

        array(
            'id' => 'login_redirect_user',
            'type' => 'select',
            'title' => __('Redirect the user to the desired page after logging in', 'wpyar_panel'),
            'placeholder' => __('Plugin panel', 'wpyar_panel'),
            'options' => 'pages',
            'chosen' => true,
            'query_args' => array(
                'posts_per_page' => -1 // for get all pages (also it's same for posts).
            )
        ),

        array(
            'type' => 'notice',
            'style' => 'success',
            'content' => '<strong>' . __('Shortcode: You can use this shortcode in the template to create a login button with the ability to change the text after login. For example, use this shortcode in your template header.', 'wpyar_panel') . '</strong>',
        ),

        array(
            'type' => 'submessage',
            'style' => 'danger',
            'content' => '<strong>' . __('Shortcode:', 'wpyar_panel') . '[login_panel_wpyar]</strong>',

        ),
        array(
            'id' => 'text_before_login',
            'type' => 'text',
            'title' => __('Button text created by shortcodes before user login', 'wpyar_panel'),


        ),

        array(
            'id' => 'text_after_login',
            'type' => 'text',
            'title' => __('Button text created by shortcode after user login', 'wpyar_panel'),
            'desc' => __('(variable for Diplay Name : {display_name})', 'wpyar_panel'),

        ),

        array(
            'id' => 'link_login_shortcode',
            'type' => 'text',
            'title' => __('login link for shortCode', 'wpyar_panel'),
            'desc' => __("sample: https://nirwewb.ir/login", 'wpyar_panel')
        ),

    )
));

WpyarPanelCSF::createSection($prefix, array(
    'parent' => 'login_req',
    'title' => __('Page layout', 'wpyar_panel'),
    'icon' => 'fa fa-square-o',
    'fields' => array(

        array(
            'id' => 'logo_image',
            'type' => 'media',
            'title' => __('Logo', 'wpyar_panel'),
        ),
        array(
            'id' => 'width_logo_wpyarud_in_form',
            'type' => 'slider',
            'title' => __('Logo width in forms', 'wpyar_panel'),
            'min' => 0,
            'max' => 400,
            'step' => 1,
            'unit' => 'px',
            'default' => 70,


        ),
        array(
            'id' => 'imgage_base',
            'type' => 'media',
            'title' => __('Form Image', 'wpyar_panel'),
        ),

        array(
            'id' => 'layout_pag_wpyarud',
            'type' => 'image_select',
            'title' => __('Authentication Layout Page', 'wpyar_panel'),
            'placeholder' => __('Select Authentication Layout Page', 'wpyar_panel'),
            'options' => array(
                'Sty1' => wpyar_panel_url . 'assets/img/1.png',
                'Sty2' => wpyar_panel_url . 'assets/img/2.png',
                'Sty3' => wpyar_panel_url . 'assets/img/3.png',
                'Sty4' => wpyar_panel_url . 'assets/img/4.png',
            ),

        ),
        //---------------- Satart Layout 4 ---------------------

        array(
            'id' => 'blur',
            'type' => 'number',
            'title' => __('Blur', 'wpyar_panel'),
            'dependency' => array('layout_pag_wpyarud', '==', 'Sty4'),
            'output'      =>  array( '--wud-bak-login-blur'=>':root' ),
            'output_important'=>true,
            'default'     => 2,
        ),
        array(
            'id' => 'bg_blur',
            'type' => 'color',
            'title' => __('Blur color', 'wpyar_panel'),
            'dependency' => array('layout_pag_wpyarud', '==', 'Sty4'),
            'output'      =>  array( '--wud-bak-login'=>':root' ),
            'output_important'=>true,
        ),
        //---------------- Satart Layout 1 ---------------------

        array(
            'id' => 'title_form_auth_1',
            'type' => 'text',
            'title' => __('Title of authentication', 'wpyar_panel'),
            'dependency' => array('layout_pag_wpyarud', '==', 'Sty1'),
        ),
        array(
            'id' => 'subtitle_form_auth_1',
            'type' => 'wp_editor',
            'title' => __('Subtitle of authentication', 'wpyar_panel'),
            'dependency' => array('layout_pag_wpyarud', '==', 'Sty1'),
        ),
        array(
            'id' => 'title_form_auth_1_pass',
            'type' => 'text',
            'title' => __('Title of password reset', 'wpyar_panel'),
            'dependency' => array('layout_pag_wpyarud', '==', 'Sty1'),
        ),
        array(
            'id' => 'subtitle_form_auth_1_pass',
            'type' => 'wp_editor',
            'title' => __('Subtitle of password reset', 'wpyar_panel'),
            'dependency' => array('layout_pag_wpyarud', '==', 'Sty1'),
        ),


        //---------------- End Layout 1 ---------------------


    )
));

include_once('auth_email.php');
include_once('auth_sms.php');


WpyarPanelCSF::createSection($prefix, array(
    'parent' => 'login_req',
    'title' => __('Extra Field', 'wpyar_panel'),
    'icon' => 'fa fa-square-o',
    'fields' => array(

        array(
            'id' => 'extra_field_reg_wpyarud',
            'type' => 'group',
            'title' => __('Extra Field', 'wpyar_panel'),
            'fields' => array(
                array(
                    'id' => 'title_exta_reg_wprayud',
                    'type' => 'text',
                    'title' => __('Title', 'wpyar_panel'),
                ),

                array(
                    'id' => 'deactive',
                    'type' => 'switcher',
                    'title' => __('Show only in the profile editing section', 'wpyar_panel'),
                    'text_width' => 90
                ),

                array(
                    'id' => 'requried_req_wpyarud',
                    'type' => 'switcher',
                    'title' => __('required', 'wpyar_panel'),
                    'text_width' => 90
                ),
                array(
                    'id' => 'metakey_exta_reg_wprayud',
                    'type' => 'text',
                    'title' => __('User Meta Name', 'wpyar_panel'),
                    'placeholder' => 'meta_user_sample',
                ),
                array(
                    'id' => 'type_exta_reg_wprayud',
                    'type' => 'select',
                    'title' => __('Feild Type', 'wpyar_panel'),
                    'options' => array(
                        'text' => __('text', 'wpyar_panel'),
                        'textarea' => __('textarea', 'wpyar_panel'),
                        'select' => __('select', 'wpyar_panel'),
                        'date' => __('Date', 'wpyar_panel'),
                    ),
                ),
                array(
                    'id' => 'select_item_exta_reg_wprayud',
                    'type' => 'repeater',
                    'title' => __('Add items', 'wpyar_panel'),
                    'dependency' => array('type_exta_reg_wprayud', 'any', 'select'),
                    'fields' => array(
                        array(
                            'id' => 'option_select_ext_psa',
                            'type' => 'text',
                            'title' => __('Title', 'wpyar_panel'),
                        ),

                    ),
                ),

            ),
        ),


    )
));
WpyarPanelCSF::createSection($prefix, array(
    'parent' => 'login_req',
    'title' => __('Login With Gmail', 'wpyar_panel'),
    'icon' => 'fa fa-square-o',
    'fields' => array(
        array(
		    'type'    => 'submessage',
		    'style'   => 'warning',
		    'content' => __('Visit https://console.cloud.google.com to get the following', 'wpyar_panel'),
	    ),
	    array(
		    'id'         => 'active_google_auth', // field id
			  'type'       => 'switcher',
				  'title'      => __('Activate Gmail Login', 'wpyar_panel'),
		    'text_width' => '90',
			  'default'    => false
			),

	    array(
		    'type'    => 'notice',
		    'style'   => 'success',
		    'dependency' => array( 'active_google_auth', '==', 'true' ),
		    'content' => sprintf(__('Enter %s for the return address', 'wpyar_panel'),admin_url( 'admin-ajax.php?action=nirweb_panel_google' )),
	    ),

        array(
			'id'=>'client_id_google',
	        'title'=>'Client ID',
	        'type'=>'text',
			'dependency' => array( 'active_google_auth', '==', 'true' )
        ),
	    array(
			'id'=>'client_secret_google',
	        'title'=>'Client Secret ',
	        'type'=>'text',
			'dependency' => array( 'active_google_auth', '==', 'true' )
	    )

    )
));

  