<?php
if( ! function_exists('wpyar_panel_get_user_meta_key')){
    function wpyar_panel_get_user_meta_key() {
        global $wpdb;
        $metakey =[];
        $keys =  $wpdb->get_col( "SELECT DISTINCT meta_key FROM {$wpdb->usermeta}" );

        foreach($keys as $key){

            $metakey[$key] = $key;
        }

        return $metakey;

    }
}

WpyarPanelCSF::createSection($prefix, array(
    'id' => 'private_message',
    'title' => __('Private Message','wpyar_panel'),
    'icon' => 'fa fa-envelope-o',
    'fields' => array(

        array(
          'id'=>'subject_email_pm',
          'title'=>__('Email Subject','wpyar_panel'),
          'type'=>'text',
        ),
        array(
          'id'=>'content_email_pm',
          'title'=>__('Email Content','wpyar_panel'),

         'desc' =>__( 'Enter {user} instead of user display name variable and {title} instead of title variable','wpyar_panel'),
          'type'=>'wp_editor',

        ),
        array(
            'id'      => 'user_meta_phone_pm',
            'type'    => 'select',
            'title'   => __('Phone number key','wpyar_panel'),
            'chosen'      => true,
            'options' => 'list_user_meta_wpyarud',
        ),

        array(
            'type'    => 'notice',
            'style'   => 'success',
            'content' => __('To send a text message, enter the authentication section and enter the fields related to the selected panel from the registration tab.','wpyar_panel'),
        ),
        array(
            'id'          => 'select_api_payamak',
            'type'        => 'select',
            'title'       =>__('SMS server','wpyar_panel'),

            'desc'       => '<strong style="color:red">'.__('The selected panel must be the same as the authentication panel','wpyar_panel').'</strong>',
            'placeholder' =>__('Select SMS server','wpyar_panel'),
            'options'     => array(
	            'nirsms'      => 'نیر اس ام اس',
                'melipayamak'      => 'ملی پیامک',
                'sms_ir'    => 'SMS.ir',
                'ippanel'    => 'آی پی پنل',
                'rayegan_sms'    => 'رایگان اس ام اس',
                'niksms'    => 'نیک اس ام اس',
                'candoo'    => 'کندو',
            ),
        ),

//----------------- Meli Payamak ------------------------------------------------------------
        array(
            'id'      => 'pm_melipayamak',
            'type'    => 'text',
            'title'   => 'کد متن پیام',
            'dependency' => array('select_api_payamak', 'any', 'melipayamak'),
            'desc' => 'به جای متغییر نام نمایش کاربر عدد صفر و به جای متغییر عنوان عدد 1 را وارد نمایید'
        ),
//--------------- Ippanel ------------------------------------------------------------
        array(
            'id'      => 'pm_ippanel',
            'type'    => 'text',
            'title'   => 'کد متن پیام',
            'dependency' => array('select_api_payamak', 'any', 'ippanel,nirsms'),
            'desc' => 'به جای متغییر نام نمایش کاربر user و به جای متغییر عنوان title را وارد نمایید'

        ),
//--------------- SMS.IR ------------------------------------------------------------

        array(
            'id'      => 'pm_sms_ir',
            'type'    => 'text',
            'title'   => 'کد متن پیام',
            'desc' => 'به جای متغییر نام نمایش کاربر user و به جای متغییر عنوان title را وارد نمایید',
            'dependency' => array('select_api_payamak', 'any', 'sms_ir'),
        ),

//-------- Rayegan SMS ------------------------------------------------------------

        array(
            'id'      => 'pm_rayegan_sms',
            'type'    => 'textarea',
            'title'   => 'متن ارسالی',
            'dependency' => array('select_api_payamak', 'any', 'rayegan_sms'),
            'desc' => 'به جای متغییر نام نمایش کاربر user و به جای متغییر عنوان title را وارد نمایید'

        ),
	    //----------------- candoo -----------------------
	    array(
            'id'      => 'pm_candoo_sms',
            'type'    => 'textarea',
            'title'   => 'متن ارسالی',
            'dependency' => array('select_api_payamak', 'any', 'candoo'),
            'desc' => 'به جای متغییر نام نمایش کاربر user و به جای متغییر عنوان title را وارد نمایید'

        ),

        //-------- NIK SMS ------------------------------------------------------------

        array(
            'id'      => 'pm_nik_sms',
            'type'    => 'textarea',
            'title'   => 'متن ارسالی',
            'dependency' => array('select_api_payamak', 'any', 'niksms'),
            'desc' => 'به جای متغییر نام نمایش کاربر user و به جای متغییر عنوان title را وارد نمایید'

        ),




    )
));