 <?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
global $wp;
do_action('woo_wallet_before_my_wallet_content');
$is_rendred_from_myaccount = wc_post_content_has_shortcode('woo-wallet') ? false : is_account_page();
$menu_items = apply_filters('woo_wallet_nav_menu_items', array(
    'top_up' => array(
        'title' => apply_filters('woo_wallet_account_topup_menu_title', __('Wallet topup', 'woo-wallet')),
        'url' => $is_rendred_from_myaccount ? esc_url(wc_get_endpoint_url(get_option('woocommerce_woo_wallet_endpoint', 'woo-wallet'), 'add', wc_get_page_permalink('myaccount'))) : add_query_arg('wallet_action', 'add'),
        'icon' => 'dashicons dashicons-plus-alt'
    ),
    'transfer' => array(
        'title' => apply_filters('woo_wallet_account_transfer_amount_menu_title', __('Wallet transfer', 'woo-wallet')),
        'url' => $is_rendred_from_myaccount ? esc_url(wc_get_endpoint_url(get_option('woocommerce_woo_wallet_endpoint', 'woo-wallet'), 'transfer', wc_get_page_permalink('myaccount'))) : add_query_arg('wallet_action', 'transfer'),
        'icon' => 'dashicons dashicons-randomize'
    ),
    'transaction_details' => array(
        'title' => apply_filters('woo_wallet_account_transaction_menu_title', __('Transactions', 'woo-wallet')),
        'url' => $is_rendred_from_myaccount ? esc_url(wc_get_account_endpoint_url(get_option('woocommerce_woo_wallet_transactions_endpoint', 'woo-wallet-transactions'))) : add_query_arg('wallet_action', 'view_transactions'),
        'icon' => 'dashicons dashicons-list-view'
    )
), $is_rendred_from_myaccount);
?>
 <ul class="rowBoxWpyarPanel listTabWalletWpyarPanel wpyarpanel-mt-20 wpyarpanel-jsb wpyarpanel-mb-20 wpyarpanel-pb-25">
     <li
         class="boxPanelLight wpyarpanel-25 <?php if((isset($_GET['wallet_action']) && 'add' === $_GET['wallet_action'])){echo 'tabactive';}  ?>">
         <div class="innerBoxPanelLight WalletTabWpyarPanel">
             <a
                 href="<?= slug_page ?>?endp=woo-wallet&amp;wallet_action=add">
                 <i class="fal fa-plus-circle ThColor-wpyarpanel"></i>
                 <h5><?=  __('Increase credit','wpyar_panel') ?></h5>
             </a>
         </div>
     </li>
     <?php if (get_option('_wallet_settings_general') && get_option('_wallet_settings_general')['is_enable_wallet_transfer']=='on'): ?>
     <li
         class="boxPanelLight wpyarpanel-25 <?php if((isset($_GET['wallet_action']) && 'transfer' === $_GET['wallet_action'])){echo 'tabactive';}  ?>">
         <div class="innerBoxPanelLight WalletTabWpyarPanel ">
             <a
                 href="<?= slug_page ?>?endp=woo-wallet&amp;wallet_action=transfer">
                 <i class="fal fa-expand-arrows ThColor-wpyarpanel"></i>
                 <h5><?=  __('Transfer Wallet','wpyar_panel')  ?></h5>
             </a> </div>
     </li>
     <?php endif; ?>
     <li
         class="boxPanelLight wpyarpanel-25 <?php if((isset($_GET['wallet_action']) && 'view_transactions' === $_GET['wallet_action'])){echo 'tabactive';}  ?>">
         <div class="innerBoxPanelLight WalletTabWpyarPanel">
             <a
                 href="<?= slug_page ?>?endp=woo-wallet&amp;wallet_action=view_transactions">
                 <i class="fal fa-file-alt ThColor-wpyarpanel"></i>
                 <h5><?= __('Transaction list','wpyar_panel')  ?></h5>
             </a>
         </div>
     </li>
     <li class="boxPanelLight wpyarpanel-25">
         <div class="innerBoxPanelLight WalletTabWpyarPanel infoWallet">
             <strong><?= woo_wallet()->wallet->get_wallet_balance( get_current_user_id() ); ?></strong>
         </div>
     </li>
 </ul>
 <?php if ((isset($wp->query_vars['woo-wallet']) && !empty($wp->query_vars['woo-wallet'])) || isset($_GET['wallet_action'])) { ?>
 <?php if (apply_filters('woo_wallet_is_enable_top_up', true) && ((isset($wp->query_vars['woo-wallet']) && 'add' === $wp->query_vars['woo-wallet']) || (isset($_GET['wallet_action']) && 'add' === $_GET['wallet_action']))) { ?>
 <div class="boxPanelLight wpyarpanel-100">
     <div class="innerBoxPanelLight">
         <h4 class="titleBoxInserWpyarPanel  colorTitleWpyarPanel">
             <i class="fal fa-plus-circle"></i>
             <?=  __('Increase credit','wpyar_panel')  ?>
         </h4>
         <form method="post" class="wpyarpanel-100" action="">
             <div class="rowBoxWpyarPanel wpyarpanel-mt-20">
                 <?php
                            $min_amount = woo_wallet()->settings_api->get_option('min_topup_amount', '_wallet_settings_general', 0);
                            $max_amount = woo_wallet()->settings_api->get_option('max_topup_amount', '_wallet_settings_general', '');
                                             ?>
                 <div class="wpyarpanel-75">
                     <input type="number" placeholder="<?= __('Enter the desired value ...','wpyar_panel')  ?>"
                         class=" inputProfileEditWpyarPanel" min="<?php echo $min_amount; ?>"
                         max="<?php echo $max_amount; ?>" name="woo_wallet_balance_to_add"
                         id="woo_wallet_balance_to_add" required="" />
                     <?php wp_nonce_field('woo_wallet_topup', 'woo_wallet_topup'); ?>
                 </div>
                 <div class="wpyarpanel-25">
                     <button type="submit" class="bgSecColor-wpyarpanel-wpyarpanel wColor-wpyarpanel sendFormProfileWpyarPanel wpyarpanel-mt-0">
                         <?= __('Send Request','wpyar_panel')  ?>
                     </button>
                 </div>
             </div>
         </form>
     </div>
 </div>
 <?php } else if (apply_filters('woo_wallet_is_enable_transfer', 'on' === woo_wallet()->settings_api->get_option('is_enable_wallet_transfer', '_wallet_settings_general', 'on')) && ((isset($wp->query_vars['woo-wallet']) && 'transfer' === $wp->query_vars['woo-wallet']) || (isset($_GET['wallet_action']) && 'transfer' === $_GET['wallet_action']))) { ?>
 <div class="innerBoxPanelLight ">
     <h4 class="titleBoxInserWpyarPanel  colorTitleWpyarPanel">
         <i class="fal fa-expand-arrows"></i>
         <?=  __('Transfer money from wallet','wpyar_panel') ?>
     </h4>



     <form method="post" action="" id="woo_wallet_transfer_form">

         <input name="woo_wallet_transfer_user_id" type="hidden">
         <div class="rowBoxWpyarPanel wpyarpanel-jsb wpyarpanel-mt-20">
             <div class="wpyarpanel-50"><input  placeholder="<?= __('search Email','wpyar_panel')  ?>" class=" inputProfileEditWpyarPanel woo-mail" >
             <p class="req_te d-n"><?= __('Get User ...','wpyar_panel') ?></p>
             </div>
             <div class="wpyarpanel-50"><input type="number" placeholder="<?= __('Enter the desired value ...','wpyar_panel')  ?>"
                     class=" inputProfileEditWpyarPanel" name="woo_wallet_transfer_amount"></div>
             <textarea name="woo_wallet_transfer_note" class="inputProfileEditWpyarPanel" cols="30" rows="10" placeholder="<?= __('description','wpyar_panel')  ?>"></textarea>

         </div>
         <?php wp_nonce_field( 'woo_wallet_transfer', 'woo_wallet_transfer' ); ?>
         <input type="submit" class="bgSecColor-wpyarpanel-wpyarpanel wColor-wpyarpanel sendFormProfileWpyarPanel" name="woo_wallet_transfer_fund" value="<?= __('Send Request','wpyar_panel')  ?>">

         <!-- <button type="submit" class="bgSecColor-wpyarpanel-wpyarpanel wColor-wpyarpanel sendFormProfileWpyarPanel"><?= __('Send Request','wpyar_panel')  ?></button> -->
     </form>



 </div>
 <?php } else if (apply_filters('woo_wallet_is_enable_top_up', true) && ((isset($wp->query_vars['woo-wallet']) && 'view_transactions' === $wp->query_vars['woo-wallet']) || (isset($_GET['wallet_action']) && 'view_transactions' === $_GET['wallet_action']))) { ?>
 <?php $transactions = get_wallet_transactions(); ?>
 <?php if (!empty($transactions)) {  
?>
 <div class="innerBoxPanelLight ">
     <h4 class="titleBoxInserWpyarPanel  colorTitleWpyarPanel">
         <i class="fal fa-file-alt"></i>
         <?= __('Your Transaction','wpyar_panel') ?>
     </h4>
     <table class="TableWpyarPanel" id="data">
         <thead>
             <tr>
                 <th class="colorTitleWpyarPanel"><?= __('ID','wpyar_panel') ?></th>
                 <th class="colorTitleWpyarPanel"><?= __('Date','wpyar_panel') ?></th>
                 <th class="colorTitleWpyarPanel"><?= __('Price','wpyar_panel') ?></th>  
                 <th class="colorTitleWpyarPanel"></th>
             </tr>
         </thead>
         <tbody>
             <tr>
                 <?php foreach ($transactions as $transaction) : ?>
             <tr>
                 <td class="borderMain">
                     <p><?php echo $transaction->transaction_id; ?></p>
                 </td>
                 <td class="borderMain">
                     <p><?php echo wc_string_to_datetime($transaction->date)->date_i18n(wc_date_format()); ?>
                     </p>
                 </td>
                 <td class=" borderMain woo-wallet-transaction-type-<?php echo $transaction->type; ?>">
                     <?php echo $transaction->type == 'credit' ? '+' : '-';
                                    echo wc_price(apply_filters('woo_wallet_amount', $transaction->amount, $transaction->currency, $transaction->user_id), woo_wallet_wc_price_args($transaction->user_id));   ?>
                 </td> 
                 <td class=" borderMain woo-wallet-transaction-type-<?php echo $transaction->type; ?>">
                     <?php echo $transaction->details; ?>
                 </td>
             </tr>
             <?php endforeach; ?>
             </tr>
         </tbody>
     </table>
 </div>
 <?php
      } else {    _e('No transactions found', 'woo-wallet');  }  } ?>
 <?php do_action('woo_wallet_menu_content'); ?>
 <?php } ;
 do_action('woo_wallet_after_my_wallet_content'); ?>