<?php
/*
Plugin Name: User Panel
Plugin URI: https://www.nirweb.ir
Description:  پیشرفته ترین پنل کاربری وردپرس در ایران و جهان با زیبایی   منحصر به فرد و امکاناتی باورنکردنی 
Author: nirweb Team
Version: 4.6.11
Author URI: https://www.nirweb.ir
Text Domain: wpyar_panel
Domain Path: /languages
Requires at least: 5.8.3
Requires PHP: 7.4
*/

defined('ABSPATH') || exit;

if (!function_exists('is_plugin_active')) {
    require_once(ABSPATH . 'wp-admin/includes/plugin.php');
}
add_action('plugins_loaded',function (){
    if (is_plugin_active('sitepress-multilingual-cms/sitepress.php')) {
        global $sitepress;
        $lang =  $sitepress->get_locale(ICL_LANGUAGE_CODE);
        define('lang_wpyar', $lang);
    }else{
        $lang = get_locale();
        define('lang_wpyar', $lang);
    }
});
define('wpyar_panel', plugin_basename(__FILE__));
define('wpyar_panel_file', __FILE__);
define('wpyar_panel_path', wp_normalize_path(plugin_dir_path(__FILE__)));
define('wpyar_panel_path_page', wpyar_panel_path . 'pages');
define('wpyar_panel_url', trailingslashit(plugin_dir_url(__FILE__)));
//------------------ WPML SAVE DATA --------------------
add_action('admin_init', function () {
    if (!get_option('wpyarud_prefix_my_options_fa_set')) {
        update_option('wpyarud_prefix_my_options_fa', get_option('wpyarud_prefix_my_options'));
        update_option('wpyarud_prefix_my_options_fa_set',true);
        //delete_option('wpyarud_prefix_my_options');
    }
});

if (is_plugin_active('sitepress-multilingual-cms/sitepress.php')) {
    $my_current_lang = apply_filters('wpml_current_language', NULL);
    define('op_wpyar_panel', get_option('wpyarud_prefix_my_options_' . $my_current_lang));

} else {
    define('op_wpyar_panel', get_option('wpyarud_prefix_my_options_fa'));
}


if (isset(op_wpyar_panel['page_wpyarud_plugin']) && op_wpyar_panel['page_wpyarud_plugin']) {
    $site = rtrim(get_bloginfo('url'), "/");
    $slug_page = $site . '/' . get_post_field('post_name', op_wpyar_panel['page_wpyarud_plugin']);
} else {
    $slug_page = get_bloginfo('url');
}
define('slug_page', $slug_page);
add_action('plugins_loaded', function () {
    load_textdomain('wpyar_panel', wpyar_panel_path . 'languages/wpyar_panel-' . lang_wpyar . '.mo');
});
require_once wpyar_panel_path . 'core/core.php';


add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), function ( $links ) {

    $plugin_links[] = '<a href="' .admin_url( 'admin.php?page=wpyar_panel_wizard' ). '">' . esc_html__( 'wizard','wpyar_panel' ) . '</a>';

    return array_merge( $links, $plugin_links );
});

